import request from '@/utils/request'

// 查询处理文件管理列表
export function listProcessedFile(query) {
  return request({
    url: '/graph/processedFile/list',
    method: 'get',
    params: query
  })
}

// 查询处理文件管理详细
export function getProcessedFile(id) {
  return request({
    url: '/graph/processedFile/' + id,
    method: 'get'
  })
}

// 新增处理文件管理
export function addProcessedFile(data) {
  return request({
    url: '/graph/processedFile',
    method: 'post',
    data: data
  })
}

// 修改处理文件管理
export function updateProcessedFile(data) {
  return request({
    url: '/graph/processedFile',
    method: 'put',
    data: data
  })
}

// 删除处理文件管理
export function delProcessedFile(id) {
  return request({
    url: '/graph/processedFile/' + id,
    method: 'delete'
  })
}

// 获取id，name的option
export function getOptionsBySourceFileId(id) {
  return request({
    url: '/graph/processedFile/getOptionsBySourceFileId/' + id,
    method: 'get'
  })
}
